#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['pydemic',
 'pydemic.cli',
 'pydemic.clinical_models',
 'pydemic.diseases',
 'pydemic.fitting',
 'pydemic.formulas',
 'pydemic.mixins',
 'pydemic.models',
 'pydemic.params',
 'pydemic.utils']

package_data = \
{'': ['*'],
 'pydemic': ['databases/*',
             'databases/diseases/*',
             'databases/diseases/covid-19/*'],
 'pydemic.models': ['.idea/*', '.idea/inspectionProfiles/*']}

install_requires = \
['mundi',
 'mundi-demography',
 'mundi-healthcare',
 'joblib',
 'click~=7.0',
 'matplotlib~=3.0',
 'numpy~=1.0',
 'pandas~=1.0',
 'requests~=2.0',
 'seaborn~=0.10']

extras_require = \
{'dev': ['invoke~=1.4',
         'black~=19.0',
         'pycodestyle~=2.5',
         'coverage~=5.0',
         'pytest~=5.4']}

setup(name='pydemic-models',
      version='0.1.3',
      description='Pydemic',
      author='Fábio Macêdo Mendes',
      author_email='fabiomacedomendes@gmail.com',
      url='http://github.com/pydemic/pydemic',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
     )
